using System;

namespace Kvalifikacije_2_Zadatak_1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n;
            int k;
            string[] s = Console.ReadLine().Split();
            n = Convert.ToInt32(s[0]);
            int[] niz = new int[n];
            k = Convert.ToInt32(s[1]);
            s = Console.ReadLine().Split();
            for(int i = 0; i < n; i++)
            {
                niz[i] = Convert.ToInt32(s[i]);
                if (i >= 1 && niz[i - 1] == k)
                {
                    Console.WriteLine(niz[i]);
                    return;
                }
            }    
            Console.WriteLine(niz[0]);
        }
    }
}